
cc.Class({
    extends: cc.Component,

    properties: {
        
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    // update (dt) {},
    onEnable(){
        // var finished = cc.callFunc(function(target) {
        //     // this.score += score;
        //     this.node.runAction(cc.sequence(cc.moveBy(0.1, cc.v2(0, -100)),cc.fadeIn(0.1)));
        //     this.node.active = false;
        //     console.log(this.node.name);
        // }, this);

        // console.log("height",this.node.getChildByName("tips_label").height);
        
        // if(this.node.getChildByName("tips_label").height == 40){
        //     this.node.getChildByName("tips_bg").height = 50;
        // }
        // if(this.node.getChildByName("tips_label").height == 80){
        //     this.node.getChildByName("tips_bg").height = 100;
        // }

        this.node.setPosition(cc.v2(0,0));
        this.node.opacity = 255;
        this.node.stopAllActions();
        var myAction = cc.sequence(cc.delayTime(1.5),cc.fadeOut(1));
        this.node.runAction(myAction);
    },
    
});
